# PPluginModuleManager Class Reference

`#include <pluginmgr.h>`

Inheritance diagram for PPluginModuleManager:

List of all members.

## Public Types

typedef PDictionary< PString, PDynaLink > | PluginListType

## Public Member Functions

| PPluginModuleManager (const char *signatureFunctionName, PPluginManager *pluginMgr=NULL)
PBoolean | LoadPlugin (const PString &fileName)
void | LoadPluginDirectory (const PDirectory &directory)
virtual void | OnLoadPlugin (PDynaLink &, INT)
virtual PluginListType | GetPluginList () const
virtual void | OnStartup ()
virtual void | OnShutdown ()

## Protected Member Functions

| PDECLARE_NOTIFIER (PDynaLink, PPluginModuleManager, OnLoadModule)

## Protected Attributes

PluginListType | pluginDLLs
const char * | signatureFunctionName
PPluginManager * | pluginMgr

## Member Typedef Documentation

typedef PDictionary<PString, PDynaLink> PPluginModuleManager::PluginListType

## Constructor & Destructor Documentation

PPluginModuleManager::PPluginModuleManager | ( | const char * | signatureFunctionName,
|  | PPluginManager * | pluginMgr = `NULL` |
| ) |  |  |

## Member Function Documentation

virtual PluginListType PPluginModuleManager::GetPluginList | ( |  | ) | const`[inline, virtual]`

PBoolean PPluginModuleManager::LoadPlugin | ( | const PString & | fileName | ) | `[inline]`

void PPluginModuleManager::LoadPluginDirectory | ( | const PDirectory & | directory | ) | `[inline]`

virtual void PPluginModuleManager::OnLoadPlugin | ( | PDynaLink & | ,
|  | INT |  |
| ) |  |  | `[inline, virtual]`

virtual void PPluginModuleManager::OnShutdown | ( |  | ) | `[inline, virtual]`

virtual void PPluginModuleManager::OnStartup | ( |  | ) | `[inline, virtual]`

PPluginModuleManager::PDECLARE_NOTIFIER | ( | PDynaLink | ,
|  | PPluginModuleManager | ,
|  | OnLoadModule |  |
| ) |  |  | `[protected]`

## Member Data Documentation

PluginListType PPluginModuleManager::pluginDLLs `[protected]`

PPluginManager* PPluginModuleManager::pluginMgr `[protected]`

const char* PPluginModuleManager::signatureFunctionName `[protected]`

The documentation for this class was generated from the following file:

- pluginmgr.h